%define name	saxpath
%define version	1.0
%define release	1jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        Java XPath engine for use on a variety of XML object models
License:        Open Source
Url:            http://saxpath.sf.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        http://osdn.dl.sourceforge.net/saxpath/saxpath-%{version}.tar.gz
Requires:	xalan-j2
Requires:	xerces-j2
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
SAXPath is a Java XPath engine for use on a variety of XML object models
including dom4j, DOM and JavaBeans.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}-FCS
mkdir -p src/conf
cat >> src/conf/MANIFEST.MF << EOF
Manifest-Version: 1.0
Extension-Name: org.saxpath
Specification-Title: saxpth
Specification-Version: 1.0 FCS
Specification-Vendor: werken digital.
Created-By: Ant 1.4.1
Implementation-Vendor:  werken digital.
Implementation-Version: 1.0
Implementation-Title: saxpath
EOF
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{_javadir}/xalan-j2.jar:\
%{_javadir}/xerces-j2.jar

ant all

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc build/doc/{*.css,*.html,images,style}
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:1.0-1jpp
- release
